%define anolis_release 2

Name:           python-kmod
License:        LGPLv2+
Summary:        Python module to work with kernel modules
Version:        0.9
Release:        %{anolis_release}%{?dist}
URL:            https://github.com/agrover/python-kmod/
Source0: 	https://github.com/agrover/python-kmod/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-Cython
BuildRequires:  python3
BuildRequires:  kmod-devel

%global _description\
Python module to allow listing, loading, and unloading\
Linux kernel modules, using libkmod.

%description %_description

%package -n python3-kmod
Summary:        Python module to work with kernel modules

%description -n python3-kmod
Python module to allow listing, loading, and unloading
Linux kernel modules, using libkmod.

%package -n python3-kmod-doc
Summary:        Doc files for python3-kmod
Requires:       python3-kmod = %{EVR}
BuildArch:      noarch

%description -n python3-kmod-doc
Doc files for python3-kmod

%prep
%setup -q

%build
%py3_build

%install
%py3_install

%files -n python3-kmod
%{python3_sitearch}/kmod/
%{python3_sitearch}/kmod*.egg-info
%license COPYING.LESSER

%files -n python3-kmod-doc
%doc README

%changelog
* Tue Dec 26 2023 happy_orange <songnannan@linux.alibaba.com> - 0.9-2
- fix the source url error

* Fri Apr 07 2023 Chunmei Xu <xuchunmei@linux.aliabba.com> - 0.9-1
- init from upstream
